Package io.vertx.ext.auth.webauthn4j

## Class WebAuthn4JCredentials

- java.lang.Object
- - io.vertx.ext.auth.webauthn4j.WebAuthn4JCredentials

- All Implemented Interfaces:
    `Credentials`

      public class WebAuthn4JCredentials
      extends Object
      implements Credentials

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebAuthn4JCredentials()` |
    `WebAuthn4JCredentials​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<V> void` | `checkValid​(V arg)` | Implementors should override this method to perform validation.
    `String` | `getChallenge()` |
    `String` | `getDomain()` |
    `String` | `getOrigin()` |
    `String` | `getUsername()` |
    `JsonObject` | `getWebauthn()` |
    `WebAuthn4JCredentials` | `setChallenge​(String challenge)` |
    `WebAuthn4JCredentials` | `setDomain​(String domain)` |
    `WebAuthn4JCredentials` | `setOrigin​(String origin)` |
    `WebAuthn4JCredentials` | `setUsername​(String username)` |
    `WebAuthn4JCredentials` | `setWebauthn​(JsonObject webauthn)` |
    `JsonObject` | `toJson()` | Simple interop to downcast back to JSON for backwards compatibility.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.ext.auth.authentication.Credentials

      `applyHttpChallenge, applyHttpChallenge, applyHttpChallenge, toHttpAuthorization`

- - ### Constructor Detail

    - #### WebAuthn4JCredentials

          public WebAuthn4JCredentials()

    - #### WebAuthn4JCredentials

          public WebAuthn4JCredentials​(JsonObject json)

  - ### Method Detail

    - #### getChallenge

          public String getChallenge()

    - #### setChallenge

          public WebAuthn4JCredentials setChallenge​(String challenge)

    - #### getWebauthn

          public JsonObject getWebauthn()

    - #### setWebauthn

          public WebAuthn4JCredentials setWebauthn​(JsonObject webauthn)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public WebAuthn4JCredentials setUsername​(String username)

    - #### getOrigin

          public String getOrigin()

    - #### setOrigin

          public WebAuthn4JCredentials setOrigin​(String origin)

    - #### getDomain

          public String getDomain()

    - #### setDomain

          public WebAuthn4JCredentials setDomain​(String domain)

    - #### checkValid

          public <V> void checkValid​(V arg)
                              throws CredentialValidationException

      Description copied from interface: `Credentials`
      Implementors should override this method to perform validation. An argument is allowed to allow custom validation, for example, when given a configuration property, a specific property may be allowed to be null.
      Specified by:
        `checkValid` in interface `Credentials`
      Type Parameters:
        `V` - the generic type of the argument
      Parameters:
        `arg` - optional argument or null.
      Throws:
        `CredentialValidationException` - when the validation fails

    - #### toJson

          public JsonObject toJson()

      Description copied from interface: `Credentials`
      Simple interop to downcast back to JSON for backwards compatibility.
      Specified by:
        `toJson` in interface `Credentials`
      Returns:
        JSON representation of this credential.